<?php 
$lzGoogleFonts = getFonts(true);
$wp_customize->add_section(
	'peccular_premium_general_section',
	array(
		'title' => __( 'Font Setting', 'peccular Premium' ),
		'panel' => 'peccular_general_panel'
	)
);

$wp_customize->add_setting(
	'peccular_general_headeing_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '24'
	)
);
$wp_customize->add_control(
	new peccular_Font_Chooser(
		$wp_customize,
		'peccular_general_headeing_font',
		array(
			'settings'=> 'peccular_general_headeing_font',
			'section' => 'peccular_premium_general_section',
			'label'=>__('Heading Fonts/Title Fonts', 'peccular Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);

$wp_customize->add_setting(
	'peccular_general_text_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '24'
	)
);
$wp_customize->add_control(
	new peccular_Font_Chooser(
		$wp_customize,
		'peccular_general_text_font',
		array(
			'settings'=> 'peccular_general_text_font',
			'section' => 'peccular_premium_general_section',
			'label'=>__('Body/Text Font', 'peccular Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);

$wp_customize->add_setting(
	'peccular_general_other_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '26'
	)
);
$wp_customize->add_control(
	new peccular_Font_Chooser(
		$wp_customize,
		'peccular_general_other_font',
		array(
			'settings'=> 'peccular_general_other_font',
			'section' => 'peccular_premium_general_section',
			'label'=>__('About Section Font', 'peccular Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);

$wp_customize->add_setting(
	'peccular_general_otherss_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '34'
	)
);
$wp_customize->add_control(
	new peccular_Font_Chooser(
		$wp_customize,
		'peccular_general_otherss_font',
		array(
			'settings'=> 'peccular_general_otherss_font',
			'section' => 'peccular_premium_general_section',
			'label'=>__('Other Font', 'peccular Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);


$wp_customize->add_setting(
	'peccular_general_sale_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '44'
	)
);
$wp_customize->add_control(
	new peccular_Font_Chooser(
		$wp_customize,
		'peccular_general_sale_font',
		array(
			'settings'=> 'peccular_general_sale_font',
			'section' => 'peccular_premium_general_section',
			'label'=>__('Banner 2 & Banner 3 Section Font', 'peccular Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);