<?php  
$wp_customize->add_section(
    'peccular_slider_section',
    array(
        'title' => __( 'Slider', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>18
    )
); 

$wp_customize->add_setting('peccular_slider_nav', array(
 'sanitize_callback' => 'wp_kses_post',
)); 

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_slider_nav', array(
 'section' => 'peccular_slider_section',
 'priority' => 1,
 'buttons' => array(
  array(
   'name' => esc_html__('General', 'peccular-premium'),
   'icon' => 'dashicons dashicons-welcome-write-blog',
   'fields' => array(
    'slider_section_show_content',  
    'peccular_sliderbaner_section_lbl'             
),
   'active' => true,
), 
  array(
    'name' => esc_html__('Style', 'peccular-premium'),
    'icon' => 'dashicons dashicons-art',
    'fields' => array(
        'peccular_slider_heading_color',
        'peccular_slider_text_color',
        'peccular_slider_buttontext_color1', 
        'peccular_slider_buttonbgbrdr_color1', 
        'peccular_slider_buttonbghov_color1',  
        'peccular_slider_buttontxthv_color1',
        'peccular_slider_content_box_clr',
        'peccular_slider_content_boxbr_clr',
        'peccular_slider_prenxtbtn_box_clr',
        'peccular_slider_prenxtbtnhvr_box_clr',
        'peccular_slider_prenxtbtnbg_box_clr',
        'peccular_slider_prenxtbtnhoverbg_box_clr',
        'peccular_slider_prenxtbtnhoverbg_box_clrtwo',
        'peccular_slider_prenxtbtnhoverbr_box_clr',
        'peccular_slidercontent_head_align',
        'peccular_slider_content_hightboxbr_clr',
        'peccular_slider_content_colorborone_clr',
        'peccular_slider_content_colorboronetwo_clr', 
        'peccular_slider_percentagetext_color',
        'peccular_slider_percentagetextico_color',
        'peccular_slider_contentbox_bgcolor', 
        'peccular_slider_animation_bgcolor',
        'peccular_slider_animation_bganimcolor',
        'peccular_slider_animation_bganimboxcolor',
        'peccular_slider_animation_fouranimcolor',
        'peccular_slider_mainbg_color',
        'peccular_slider_animation_fiveanimcolor',
        'peccular_slidermainwidtheight',
        'peccular_slider_mediascreendesktopbx',
        'peccular_slidermainwidtheightdesk',
        'peccular_slider_mediascreenmainbox',
        'peccular_slidermainwidtheighttab',
        'peccular_slider_mediatabbox',
        'peccular_slidermainwidtheighttabless',
        'peccular_sliderlessheighttabless',
        'peccular_slider_lessmobtabboxless',
        'peccular_sliderlessheimob',
        'peccular_slider_mobilescreenless',
        'peccular_slider_mediatabboxless',
        'peccular_slider_foldbrscolor',
        'peccular_slider_box_onload_effects'
    ),
),
  array(
    'name' => esc_html__('Layout', 'peccular-premium'),
    'icon' => 'dashicons dashicons-layout',
    'fields' => array(
        'peccular_slider_section_width',
        'peccular_slider_padding',
        'peccular_slider_section_t_padding',
        'peccular_slider_section_b_padding'
    ),
)
),
)));

$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);

$wp_customize->add_setting('peccular_sliderbaner_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_sliderbaner_section_lbl',
        array(
            'settings'      => 'peccular_sliderbaner_section_lbl',
            'section'       => 'peccular_slider_section',
            'description'   => __( '<strong>Note-</strong> <strong>Set Slider Featured Image Of 862*534 Resolution To Show In Proper Way</strong></strong>', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
); 
// $wp_customize->add_setting('peccular_slider_section_width',array(
//     'default' => 'Full Width',
//     'sanitize_callback' => 'peccular_sanitize_choices',
// ));
// $wp_customize->add_control('peccular_slider_section_width',array(
//     'type' => 'select',
//     'label' => __('Section Width','peccular'),
//     'choices' => array (
//         'Box Width' => __('Box Width','peccular'),
//         'Full Width' => __('Full Width','peccular')
//     ),
//     'section' => 'peccular_slider_section',
// ));
$wp_customize->add_setting('peccular_slidermainwidtheight', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_slidermainwidtheight',
        array(
            'settings'      => 'peccular_slidermainwidtheight',
            'section'       => 'peccular_slider_section',
            'description'   => __( '<strong>Note- 1:</strong> <strong>Set Slider Image Height For Desktop Screen</strong> <br/>', 'peccular Premium' ),
        )
    )
);
$wp_customize->add_setting('peccular_slider_mediascreendesktopbx',array(
    'default' => '608',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_mediascreendesktopbx',array(
    'type' => 'number',
    'label' => __('Set Height','peccular'),
    'section' => 'peccular_slider_section',
));


$wp_customize->add_setting('peccular_slidermainwidtheightdesk', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_slidermainwidtheightdesk',
        array(
            'settings'      => 'peccular_slidermainwidtheightdesk',
            'section'       => 'peccular_slider_section',
            'description'   => __( '<strong>Note- 2:</strong> <strong>Set Slider Image Height For Screen Of 1024*320 Resolution</strong> <br/>', 'peccular Premium' ),
        )
    )
);
$wp_customize->add_setting('peccular_slider_mediascreenmainbox',array(
    'default' => '520',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_mediascreenmainbox',array(
    'type' => 'number',
    'label' => __('Set Height','peccular'),
    'section' => 'peccular_slider_section',
));


$wp_customize->add_setting('peccular_slidermainwidtheighttab', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_slidermainwidtheighttab',
        array(
            'settings'      => 'peccular_slidermainwidtheighttab',
            'section'       => 'peccular_slider_section',
            'description'   => __( '<strong>Note- 3:</strong> <strong>Set Slider Image Height For Tablet Screen</strong> <br/>', 'peccular Premium' ),
        )
    )
);
$wp_customize->add_setting('peccular_slider_mediatabbox',array(
    'default' => '400',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_mediatabbox',array(
    'type' => 'number',
    'label' => __('Set Height','peccular'),
    'section' => 'peccular_slider_section',
));

$wp_customize->add_setting('peccular_slidermainwidtheighttabless', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_slidermainwidtheighttabless',
        array(
            'settings'      => 'peccular_slidermainwidtheighttabless',
            'section'       => 'peccular_slider_section',
            'description'   => __( '<strong>Note- 4:</strong> <strong>Set Slider Height For Screen Of Resolution Less Than Tablet Screen</strong> <br/>', 'peccular Premium' ),
        )
    )
);
$wp_customize->add_setting('peccular_slider_mediatabboxless',array(
    'default' => '920',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_mediatabboxless',array(
    'type' => 'number',
    'label' => __('Set Height','peccular'),
    'section' => 'peccular_slider_section',
)); 

$wp_customize->add_setting('peccular_sliderlessheimob', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_sliderlessheimob',
        array(
            'settings'      => 'peccular_sliderlessheimob',
            'section'       => 'peccular_slider_section',
            'description'   => __( '<strong>Note- 4:</strong> <strong>Set Slider Height For Mobile Screen</strong> <br/>', 'peccular Premium' ),
        )
    )
);
$wp_customize->add_setting('peccular_slider_mobilescreenless',array(
    'default' => '710',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_mobilescreenless',array(
    'type' => 'number',
    'label' => __('Set Height','peccular'),
    'section' => 'peccular_slider_section',
)); 
addColorPalatOption($wp_customize, 'peccular_slider_heading_color', 'peccular_slider_section', 'Heading Color', ''); 
addColorPalatOption($wp_customize, 'peccular_slider_content_box_clr', 'peccular_slider_section', 'Heading Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_content_boxbr_clr', 'peccular_slider_section', 'Heading Box Border Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_content_hightboxbr_clr', 'peccular_slider_section', 'Heading Box Highlight Border Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_content_colorborone_clr', 'peccular_slider_section', 'Border Color 1', '');
addColorPalatOption($wp_customize, 'peccular_slider_content_colorboronetwo_clr', 'peccular_slider_section', 'Border Color 2', '');
addColorPalatOption($wp_customize, 'peccular_slider_foldbrscolor', 'peccular_slider_section', 'Folded Border Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_text_color', 'peccular_slider_section', 'Discount Tagline Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_percentagetext_color', 'peccular_slider_section', 'Percentage Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_percentagetextico_color', 'peccular_slider_section', 'Percentage Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_buttontext_color1', 'peccular_slider_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttontxthv_color1', 'peccular_slider_section', 'Button Text Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbgbrdr_color1', 'peccular_slider_section', 'Button BG Color 1', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbghov_color1', 'peccular_slider_section', 'Button BG Color 2', '');

addColorPalatOption($wp_customize, 'peccular_slider_contentbox_bgcolor', 'peccular_slider_section', 'Content Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_animation_bganimcolor', 'peccular_slider_section', 'Animations Color 1', '');
addColorPalatOption($wp_customize, 'peccular_slider_animation_fiveanimcolor', 'peccular_slider_section', 'Animations Color 2', '');
$wp_customize->add_setting('peccular_slider_padding',array(
  'sanitize_callback'   => ''
));
$wp_customize->add_control('peccular_slider_padding',array(
  'label' => __('Section Padding','peccular'),
  'section' => 'peccular_slider_section'
));
$wp_customize->add_setting('peccular_slider_section_t_padding',array(
    'default' => '0',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_slider_section',
));
$wp_customize->add_setting('peccular_slider_section_b_padding',array(
    'default' => '0',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_slider_section',
));
?>