<?php  
$lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
));

$wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
));

//Bottom Header
$wp_customize->add_section( 'peccular_contact_pages' , array(
    'title'    => __( 'Contact Page', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel3'
) );

$wp_customize->add_setting('peccular_contactpages_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
   'section' => 'peccular_contact_pages',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'peccular_contact_title',
            'peccular_contactpage_address1',               
            'peccular_contact_page_phone2',
            'peccular_contact_page_phone',                
            'peccular_contact_page_email',                
            'peccular_contactpage_form_shortcode',     
            'contact_page_iframe_shortcode',           
            'peccular_contact_page_formtitle1',
            'peccular_contform_maintitle', 
            'peccular_contform_maintext',          
            'peccular_contactpage_fb',
            'peccular_contactpage_tw',
            'peccular_contactpage_instagram',
            'peccular_contactpage_in',
            'peccular_contactpage_pinterest',
            'peccular_contactpage_youtube',
            'contact_page_addresslbl1',
            'contact_page_address1',
            'contact_page_addresslbl2',
            'contact_page_address2',
            'contact_page_addresslbl3',
            'contact_page_address3',
            'contact_page_phonelbl',
            'contact_page_phone',
            'contact_page_emaillbl',
            'contact_page_email',
            'contact_page_addresslbl',
            'contact_page_address',
            'peccular_contactpage_image',
            'peccular_contform_maintitle',
             'peccular_contactimg_display',
            'peccular_contactpage_whatsapp'

        ),
         'active' => true,
     ),      
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array( 
            'peccular_contactpage_box_onload_effects',
            'peccular_contactpage_rheading_color',
            'peccular_contactpage_rsubheading_color',
            'peccular_contactpage_rheadingbg_color',
            'peccular_contactpage_rheadingtext_color',
            'peccular_contact_page_formtext_color',
            'peccular_contact_page_formtextplaceholder_color',
            'peccular_contact_page_formbg_color',
            'peccular_contact_page_formborder_color',
            'peccular_contactpage_formbtnbg_color1',
            'peccular_contactpage_formbtntext_color',
            'peccular_contact_page_formbtnborder_color',
            'peccular_contact_page_formbtnbghov_color1',
            'peccular_contact_pagee_formbtntexthv_color',
            'peccular_contactpage_addlbl_color',
            'peccular_contactpage_lheading_color',
            'peccular_contactpage_addtext1_color',
            'peccular_contactpage_addtexthover_color',
            'peccular_contactpage_addtext1Icon_color',
            'peccular_contactpage_addtextrightBorder_color',
            'peccular_contactpage_topContactBxBg_color',
            'peccular_contactpage_addcontlabel_color',
            'peccular_contactpage_addcontlabeltxt_color',
            'peccular_contactpage_ico1_color',
            'peccular_contactpage_ico2_color',
            'peccular_contactpage_bordercs_color',
            'peccular_contact_page_phoneemtxt_color',
            'peccular_contact_page_phoneemtxthvr_color',
            'peccular_contact_page_brsclr_color',
            'peccular_contact_page_brsclrc_color',
            'peccular_contactpage_topContactBxHoverBg_color'

        ),
    )
  ),
)));
$wp_customize->add_setting(
    'peccular_contform_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Contact Info', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'peccular_contform_maintitle',
    array(
        'settings'      => 'peccular_contform_maintitle',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Contact Detail Heading', 'peccular Premium' )
    )
);

$wp_customize->add_setting(
    'contact_page_address1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Phone :', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_address1',
    array(
        'settings'      => 'contact_page_address1',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Phone Label', 'peccular Premium' )
    )
);

$wp_customize->add_setting(
    'contact_page_addresslbl1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '(0890) 490 234 567', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_addresslbl1',
    array(
        'settings'      => 'contact_page_addresslbl1',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular Premium' )
    )
);


$wp_customize->add_setting(
    'contact_page_addresslbl3',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Email :', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_addresslbl3',
    array(
        'settings'      => 'contact_page_addresslbl3',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Email Label', 'peccular Premium' )
    )
);
$wp_customize->add_setting(
    'contact_page_address3',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'support@example.com', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_address3',
    array(
        'settings'      => 'contact_page_address3',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Email ID', 'peccular Premium' )
    )
);

$wp_customize->add_setting(
    'contact_page_addresslbl2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Address :', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_addresslbl2',
    array(
        'settings'      => 'contact_page_addresslbl2',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Location Label', 'peccular Premium' )
    )
);

$wp_customize->add_setting(
    'contact_page_address2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '208 2nd St S Sartell Minnesota 56377 United States', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_address2',
    array(
        'settings'      => 'contact_page_address2',
        'section'       => 'peccular_contact_pages',
        'type'          => 'textarea',
        'label'         => __( 'Location Text', 'peccular Premium' )
    )
);

$wp_customize->add_setting(
    'peccular_contform_maintext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Leave a Message For Us', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contform_maintext',
    array(
        'settings'      => 'peccular_contform_maintext',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Contact Form Heading', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_shortcode',
    array(
        'settings'      => 'peccular_contactpage_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
); 

$wp_customize->add_setting('contact_page_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('contact_page_iframe_shortcode', array('settings'=>'contact_page_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));

addColorPalatOption($wp_customize, 'peccular_contactpage_ico1_color', 'peccular_contact_pages', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_phoneemtxt_color', 'peccular_contact_pages', 'Phone, Email & Location Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_phoneemtxthvr_color', 'peccular_contact_pages', 'Phone & Email Text Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_rsubheading_color', 'peccular_contact_pages', 'Contact Form & Contact Detail Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formtext_color', 'peccular_contact_pages', 'Form Text Color ', '#000000');
addColorPalatOption($wp_customize, 'peccular_contact_page_formtextplaceholder_color', 'peccular_contact_pages', 'Form Placeholder Color ', '#000000');
addColorPalatOption($wp_customize, 'peccular_contact_page_formbg_color', 'peccular_contact_pages', 'Form Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbg_color1', 'peccular_contact_pages', 'Form Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtntext_color', 'peccular_contact_pages', 'Form Button Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnbghov_color1', 'peccular_contact_pages', 'Form Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_pagee_formbtntexthv_color', 'peccular_contact_pages', 'Form Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnborder_color', 'peccular_contact_pages', 'Form Button Border Color', '');
?>