<?php 
$lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
));

$wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test shop',
    'panel' => 'peccular_header_panel3',
));

//Bottom Header
$wp_customize->add_section( 'peccular_singleproduct_page' , array(
    'title'    => __( 'Single Product Page', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel3'
) );

$wp_customize->add_setting('peccular_singleproduct_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_singleproduct_nav', array(
   'section' => 'peccular_singleproduct_page',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'shippingtext3',
            'shippingtext2',
            'shippingtext'
        ),
         'active' => true,
     ),    
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array( 
            'peccular_shoppage_singlprocart_color',
            'peccular_singlprotitle_color', 
            'peccular_singlproprice_color',
            'peccular_singlpropricetwo_color', 
            'peccular_singlprocontent_color', 
            'peccular_singllist_color',
            'peccular_shoppage_listallic_color',
            'peccular_singllistlabel_color', 
            'peccular_singllistlabelicons_color',
            'peccular_singllistlabeliconsbg_color',
            'peccular_recentnewtag_color',
            'peccular_recentnewtagbg_color',
            'peccular_singllisslideico_color',
            'peccular_singllisslideicobg_color',
            'peccular_singlquantitybrs_color', 
            'peccular_singllistlabeliconsbgrev_color'
        ),
    )
  ),
)));


$wp_customize->add_setting(
    'shippingtext3',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Secure Payment' )
    )
);
$wp_customize->add_control(
    'shippingtext3',
    array(
        'settings'      => 'shippingtext3',
        'section'       => 'peccular_singleproduct_page',
        'type'          => 'text',
        'label'         => __( 'Payment Label', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'shippingtext2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Free Delivery' )
    )
);
$wp_customize->add_control(
    'shippingtext2',
    array(
        'settings'      => 'shippingtext2',
        'section'       => 'peccular_singleproduct_page',
        'type'          => 'text',
        'label'         => __( 'Delivery Label', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'shippingtext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Easy Returns' )
    )
);
$wp_customize->add_control(
    'shippingtext',
    array(
        'settings'      => 'shippingtext',
        'section'       => 'peccular_singleproduct_page',
        'type'          => 'text',
        'label'         => __( 'Return Policy Label', 'peccular-premium' )
    )
);


addColorPalatOption($wp_customize, 'peccular_singlprotitle_color', 'peccular_singleproduct_page', 'Product Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_singlproprice_color', 'peccular_singleproduct_page', 'Price Color 1', '');
addColorPalatOption($wp_customize, 'peccular_singlpropricetwo_color', 'peccular_singleproduct_page', 'Price Color 2', '');

addColorPalatOption($wp_customize, 'peccular_singlprocontent_color', 'peccular_singleproduct_page', 'Content Color', '');
addColorPalatOption($wp_customize, 'peccular_singllist_color', 'peccular_singleproduct_page', 'List Color', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_listallic_color', 'peccular_singleproduct_page', 'List Icon Color ', '');

addColorPalatOption($wp_customize, 'peccular_singllistlabel_color', 'peccular_singleproduct_page', 'All Label Color', '');

addColorPalatOption($wp_customize, 'peccular_singllistlabelicons_color', 'peccular_singleproduct_page', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_singllistlabeliconsbg_color', 'peccular_singleproduct_page', 'Icon BG Color', '');

addColorPalatOption($wp_customize, 'peccular_singlquantitybrs_color', 'peccular_singleproduct_page', 'Quantity Box Border Color', '#ccc');

addColorPalatOption($wp_customize, 'peccular_singllistlabeliconsbgrev_color', 'peccular_singleproduct_page', 'Review Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_singlprocart_color', 'peccular_singleproduct_page', 'Single Product Page Cart Button BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_singllisslideico_color', 'peccular_singleproduct_page', 'Slider Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_singllisslideicobg_color', 'peccular_singleproduct_page', 'Slider Icon BG Color', '');

addColorPalatOption($wp_customize, 'peccular_recentnewtag_color', 'peccular_singleproduct_page', 'Sale/New Label Color', '');
addColorPalatOption($wp_customize, 'peccular_recentnewtagbg_color', 'peccular_singleproduct_page', 'Sale/New Label BG Color', '');

?>