<?php  
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular Premium
 */
get_header(); ?>
 <?php 
 
 $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
     
    <header class="page-main-header2" style="height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_post_image_height','131')) ?>px;"> 
         <div class="<?php if(get_theme_mod('peccular_inner_page_width','Full Width') == 'Full Width'){ ?>container-fluid page-width <?php } elseif(get_theme_mod('peccular_inner_page_width','Full Width') == 'Box Width'){ ?> container page-width<?php }?>">    

             <div class="site-details">
                <div class="image-icon">
    <?php         
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?> 
    <div class="Page_title_breadcrumb">
        <div class="clearfix"></div>
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
            </div>
            <div class="clearfix"></div>
        </div>
 <?php } ?> 
    </div>
 <?php } ?> 
     </div> 
</div> 

        <div class="innheadimg">

<?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>
 <?php  if (!empty($image)) : ?>
     <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

  <?php endif ?> 

 <?php } ?>         
             
</div>
 <div class="peccular-innerpage-overlay"></div> 
 </div>
</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
<main id="innerpage-box">

  <div class="<?php if(get_theme_mod('peccular_inner_page_width','Full Width') == 'Full Width'){ ?>container-fluid page-width <?php } elseif(get_theme_mod('peccular_inner_page_width','Full Width') == 'Box Width'){ ?> container page-width<?php }?>">    

           <div class="inner_contentbox">

    <?php if (get_theme_mod('peccular__page_layout') == '1' ) { ?>
        <div class="row m-0">

        <div class="col-md-3">
            <?php  get_sidebar(); ?>
        </div>
        <div id="content-box" class="col-md-9 innerpage-whitebox">
            <?php while ( have_posts() ) : the_post(); ?>
              <?php get_template_part( 'template-parts/content', 'page' ); ?>
                <?php
            // If comments are open or we have at least one comment, load up the comment template.
                if ( comments_open() || get_comments_number() ) :
                    comments_template();
                endif;
                ?>
            <?php endwhile; // End of the loop. ?>
        </div><!-- #main -->
        <div class="clearfix"></div>
        </div>

    <?php } else if (get_theme_mod('peccular__page_layout') == '0' ) {?>

        <div id="content-box" class="innerpage-whitebox main-timeline pd-0">
            <?php while ( have_posts() ) : the_post(); ?>
                <?php get_template_part( 'template-parts/content', 'page' ); ?>
                <?php
                // If comments are open or we have at least one comment, load up the comment template.
                if ( comments_open() || get_comments_number() ) :
                    comments_template();
                endif;
                ?>
            <?php endwhile; // End of the loop. ?>
            <div class="clearfix"></div>
        </div><!-- #main -->

         <?php } if (get_theme_mod('peccular__page_layout') == '2' ) { ?>
             <div class="row m-0">
                <div id="content-box" class="col-md-9 innerpage-whitebox">
                <?php while ( have_posts() ) : the_post(); ?>
                    <?php get_template_part( 'template-parts/content', 'page' ); ?>
                    <?php
                        // If comments are open or we have at least one comment, load up the comment template.
                    if ( comments_open() || get_comments_number() ) :
                        comments_template();
                    endif;
                    ?>
                <?php endwhile; // End of the loop. ?>
            </div><!-- #main -->
            <div class="col-md-3">
                <?php  get_sidebar(); ?>
            </div>
            <div class="clearfix"></div>
            </div>

<?php } ?>
		
		<div class="clearfix"></div>
		
		<div class="pagingation">
    		<?php lzGetPagination($query);?>
		</div>
            <div class="clearfix"></div>
    </div>
	</div>
</main><!-- #main -->
<?php get_footer(); ?>
