<?php 
/** 
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
	<header class="page-main-header2"> 
		<div class="<?php if(get_theme_mod('peccular_inner_page_width','Full Width') == 'Full Width'){ ?>container-fluid page-width <?php } elseif(get_theme_mod('peccular_inner_page_width','Full Width') == 'Box Width'){ ?> container page-width<?php }?>">    

		<div class="site-details">

			<div class="image-icon">

				<?php
				if(get_theme_mod('page_title_on_off') != 'on' ){
					?>
					<div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
						
						<?php
						if(get_theme_mod('breadcrumb_on_off') != 'on' ){
							?>
							<div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
								<div class="Breadcrumb_title">
									<div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
									<!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
								</div>
								<div class="clearfix"></div>
							</div>
						<?php } ?> 
					</div>
				<?php } ?> 

			</div>

		</div> 


		<div class="innheadimg">

			<?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

				<?php  if (!empty($image)) : ?>
					<img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

				<?php endif ?> 

			<?php } ?>         

		</div>
		<div class="peccular-innerpage-overlay"></div> 
	</div>
	</header><!-- .entry-header --> 

	<div class="clearfix"></div>
</div>
<main id="innerpage-box">
	<div class="inner_contentbox">
		<div class="<?php if(get_theme_mod('peccular_inner_page_width','Full Width') == 'Full Width'){ ?>container-fluid page-width <?php } elseif(get_theme_mod('peccular_inner_page_width','Full Width') == 'Box Width'){ ?> container page-width<?php }?>">    


		<?php 

		$peccular_contact_page_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');		
		$peccular_contform_maintitle = get_theme_mod('peccular_contform_maintitle', 'Contact Info');
		$peccular_contform_maintext = get_theme_mod('peccular_contform_maintext', 'Leave a Message For Us');
		$contact_page_iframe_shortcode = get_theme_mod('contact_page_iframe_shortcode', 'Add Map Embed Code Here');

		$phone = get_theme_mod('contact_page_phone', '+98 0 9876 0954');
		$phonelbl = get_theme_mod('contact_page_phonelbl', 'Phone:');

		$email = get_theme_mod('contact_page_email', 'info@Odndhfm.com');
		$emaillbl = get_theme_mod('contact_page_emaillbl', 'Email:');

		$address = get_theme_mod('contact_page_address', 'Lorem Ipsum consectetur adipiscing elit, New York');
		$addresslbl = get_theme_mod('contact_page_addresslbl', 'Address:');

		$address1 = get_theme_mod('contact_page_address1', 'Phone :');
		$addresslbl1 = get_theme_mod('contact_page_addresslbl1', '(0890) 490 234 567');

		$address2 = get_theme_mod('contact_page_address2', '208 2nd St S Sartell Minnesota 56377 United States');
		$addresslbl2 = get_theme_mod('contact_page_addresslbl2', 'Address :');

		$address3 = get_theme_mod('contact_page_address3', 'support@example.com');
		$addresslbl3 = get_theme_mod('contact_page_addresslbl3', 'Email :');

		?>
			<div class="col-xl-12 col-lg-12 contact-contact-mapbox <?php echo esc_attr(get_theme_mod('soccerclub_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
		<div class="map_overlay"></div>
		<?php if(!empty($contact_page_iframe_shortcode)){ ?>
			<?php echo ($contact_page_iframe_shortcode);  ?>
		<?php }?>					
	</div>
			<div class="row">
				<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 main-block">
	<div class="conntact_box_subheading text-center" >
								<?php if($peccular_contform_maintitle){ ?> 	           
									<p><?php echo ($peccular_contform_maintitle);  ?></p>        
								<?php }?>		
							</div>	

					<?php if($addresslbl1 || $address1){ ?>
						<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 contact-block">
							<div class="outer-block">
								<div class="row border-box">
									<div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 contact-ic">
										<svg class="navbar-icon icon icon-phone-active-3" viewBox="0 0 32 32">

											<path class="path1" d="M18.317 23.228c-0.276-0.497-0.497-0.993-0.772-1.49-0.607-1.159-1.766-1.876-3.090-1.876h-1.655l-1.048-1.931-1.545-3.2 0.993-1.324c0.497-0.607 1.159-1.986 0.166-3.917l-1.324-2.593c-0.386-0.828-1.103-1.379-1.986-1.545-0.828-0.166-1.655 0.055-2.372 0.607-1.545 1.269-2.703 2.979-3.31 4.91-0.441 1.379-0.276 2.924 0.386 4.303l5.241 10.428c0.662 1.379 1.821 2.372 3.145 2.869 1.103 0.386 2.262 0.607 3.476 0.607 0.883 0 1.766-0.11 2.648-0.331 0.772-0.221 1.434-0.772 1.821-1.545 0.331-0.772 0.331-1.655-0.055-2.372-0.166-0.552-0.441-1.048-0.717-1.6zM17.159 26.262c-0.055 0.11-0.11 0.221-0.331 0.276-1.6 0.441-3.31 0.331-4.8-0.221-0.828-0.276-1.49-0.938-1.931-1.766l-5.297-10.372c-0.441-0.883-0.552-1.821-0.276-2.648 0.441-1.545 1.379-2.869 2.593-3.862 0.11-0.11 0.276-0.166 0.386-0.166 0.055 0 0.055 0 0.11 0 0.166 0.055 0.331 0.166 0.441 0.386l1.324 2.593c0.497 0.993 0.166 1.49 0.055 1.6l-1.379 1.876c-0.276 0.331-0.276 0.772-0.11 1.159l1.821 3.862c0 0 0 0.055 0.055 0.055l1.379 2.538c0.221 0.331 0.552 0.607 0.993 0.552l2.317-0.055c0.497 0 0.883 0.276 1.103 0.662 0.276 0.497 0.497 0.993 0.772 1.49s0.552 1.048 0.772 1.545c0.055 0.166 0.055 0.331 0 0.497z"></path>
											<path class="wave wave-sm" d="M16.607 10.152c-0.552-0.276-1.214-0.055-1.49 0.441-0.276 0.552-0.055 1.214 0.441 1.49 1.379 0.717 2.593 3.034 2.538 4.855 0 0.607 0.497 1.214 1.103 1.214 0 0 0 0 0 0 0.607 0 1.103-0.552 1.103-1.159 0.055-2.648-1.6-5.738-3.697-6.841z"></path>
											<path class="wave wave-md" d="M19.531 6.676c-0.552-0.276-1.214-0.055-1.49 0.441-0.276 0.552-0.055 1.214 0.441 1.49 2.703 1.434 4.303 4.359 4.248 7.834 0 0.607 0.497 1.159 1.103 1.159 0 0 0 0 0 0 0.607 0 1.103-0.497 1.103-1.103 0.055-4.303-1.986-8-5.407-9.821z"></path>
											<path class="wave wave-lg" d="M22.952 3.090c-0.552-0.276-1.214-0.11-1.49 0.441s-0.11 1.214 0.441 1.49c3.697 2.097 5.848 6.179 5.683 10.979 0 0.607 0.441 1.103 1.048 1.103 0 0 0 0 0.055 0 0.607 0 1.103-0.441 1.103-1.048 0.166-5.628-2.372-10.428-6.841-12.966z"></path>
										</svg>
									</div>
									<div class="col-xl-11 col-lg-11 col-md-11 col-sm-11 label-box contact-ic"> 
									<?php echo ($address1);  ?>	 <a href="tel:<?php echo $addresslbl1;?>"><?php echo ($addresslbl1);  ?></a>
									</div>
								</div>
							</div>
						</div>
					<?php }?>
					<?php if($addresslbl3 || $address3){ ?>
						<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 contact-block">
							<div class="outer-block">
							<div class="row border-box">
								<div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 contact-ic">
									<i class="fa fa-envelope"></i>
								</div>
								<div class="col-xl-11 col-lg-11 col-md-11 col-sm-11 label-box contact-ic email-bx">
									<?php echo ($addresslbl3);  ?>
									<a href="mailto:<?php echo $address3;?>"> <?php echo ($address3);  ?></a>
								</div>
							</div>
						</div>
						</div>
					<?php }?>
					<?php if($address2 || $address2){ ?>
						<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 contact-block">
							<div class="row border-box">
								<div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 contact-ic">
									<i class="fa fa-map-marker"></i>
								</div>
								<div class="col-xl-11 col-lg-11 col-md-11 col-sm-11 label-box contact-ic email-bx-add">
									<?php echo ($addresslbl2);  ?> <?php echo ($address2);  ?>
								</div>
							</div> 
						</div>
					<?php }?>
				</div>
				<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12"> 
					<div class="row" id="peccular-contactus-wrap">

						<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 peccular-contact-page-form">
							<div class="conntact_box_subheading text-center" >
								<?php if($peccular_contform_maintext){ ?> 	           
									<p><?php echo ($peccular_contform_maintext);  ?></p>        
								<?php }?>		
							</div>		
							<div class="conntact_box_form">		
								<?php echo do_shortcode($peccular_contact_page_form_shortcode);?>
								<div class="clearfix"></div>
							</div>	
							<div class="clearfix"></div>
						</div>
					</div>

				</div>	
			</div>
		
	</div>
</div>
</main> 
<?php get_footer(); ?>