
<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular
 */
get_header(); ?>
<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header2"> 
                 <div class="<?php if(get_theme_mod('peccular_inner_page_width','Full Width') == 'Full Width'){ ?>container-fluid page-width <?php } elseif(get_theme_mod('peccular_inner_page_width','Full Width') == 'Box Width'){ ?> container page-width<?php }?>">    

       <div class="site-details">

        <div class="image-icon">

            <?php
            if(get_theme_mod('page_title_on_off') != 'on' ){
              ?>
              <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
               <?php
               if(get_theme_mod('breadcrumb_on_off') != 'on' ){
                  ?>
                  <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
                    <div class="Breadcrumb_title">
                        <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                    </div>
                    <div class="clearfix"></div>
                </div>
            <?php } ?> 
        </div>
    <?php } ?> 

</div>

</div> 
<!--         <div class="innheadimg">

<?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

 <?php  if (!empty($image)) : ?>
     <img src="<?php //echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

  <?php endif ?> 

 <?php } ?>         
             
</div> -->

 <div class="peccular-innerpage-overlay"></div> 
</div>
</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>

<div class="single-productpage" id="content-box">
	<main id="innerpage-box">
		<div id="page" class="container-fluid page-width" >
			<div class="inner_contentbox" >		
				<article id="content" class="article single_inner">
					<?php do_action('woocommerce_before_main_content'); ?>
                  <?php while ( have_posts() ) : the_post(); ?>
                     <?php wc_get_template_part( 'content', 'single-product' ); ?>
                 <?php endwhile; // end of the loop. ?>
             
             </article>
             <div class="clearfix"></div>

             <?php
             $ct__recentproduct_singleppage = get_theme_mod('ct__recentproduct_singleppage', 'Recent Product'); 
             ?>
             <div class="heading-box">
                <h2><?php echo ($ct__recentproduct_singleppage);  ?></h2>                             
            </div> 
            <section class="sec-products" id="shop-recent-products">
                <?php
                $showStatic = true;
                for( $i = 1; $i < 4; $i++ ){
                    $ct__recentproduct__page_id = get_theme_mod('ct__recentproduct__page'.$i); 
                    if(!empty($ct__recentproduct__page_id)){
                        $showStatic = false;
                        break;
                    }
                }
                ?>
                <div class="row">
                    <?php
                    if(function_exists('woocommerce_template_loop_add_to_cart') && function_exists('WC')){
                        $args = array( 'post_type' => 'product', 'stock' => 1, 'posts_per_page' => 4, 'orderby' =>'date','order' => 'DESC' );
                        $meta_query   = WC()->query->get_meta_query();
                        $tax_query   = WC()->query->get_tax_query();

                        $args = array(
                            'post_type'   =>  'product',
                            'stock'       =>  1,
                            'posts_per_page' => 4, 
                            'orderby'     =>  'date',
                            'order'       =>  'DESC',
                            'meta_query'  =>  $meta_query,
                            'tax_query'   => $tax_query,
                        );
                        $loop = new WP_Query( $args );
                        if($loop->post_count > 0){
                            while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>
                                <?php $salenewtext = get_post_meta(get_the_ID(), '_custom_product_salenew_field', true);?>
                                <div class="col-xl-3 col-lg-4 col-md-6 col-sm-6 grid-box"> 
                                    <div class="product-grid-box">
                                        <div class="product-image">
                                            <a href="<?php the_permalink(); ?>" class="image">
                                                <?php if (has_post_thumbnail( $loop->post->ID )) 
                                                echo get_the_post_thumbnail($loop->post->ID, 'shop_catalog pic-1');
                                                else
                                                    echo '<img src="'.get_template_directory_uri().'/images/default.png" alt="Placeholder" class="pic-1"  width="100%" height="200px" />'; ?>   
                                            </a>
                                            <div>
                                                <?php if($salenewtext || $salenewtext){ ?>
                                                    <div class="product-like-icon" <?php  if (!empty($salenewtext)) : ?> style="display: block;" <?php endif ?>>
                                                        <span class="product-hot-label"><?php echo ($salenewtext);  ?></span>

                                                    </div> 
                                                <?php }?>
                                            </div>
                                        </div>
                                        <div class="product-content">
                                            <div class="price"> <?php echo $product->get_price_html(); ?></div>
                                            <div class="clearfix"></div>
                                            <h3 class="title" style="text-transform : <?php if(get_theme_mod('curtains_recentproduct_title_case','None') == 'None'){ ?> None 
                                                <?php } elseif(get_theme_mod('curtains_recentproduct_title_case','capitalize') == 'capitalize'){ ?> capitalize 
                                                    <?php } elseif(get_theme_mod('curtains_recentproduct_title_case','Lowercase') == 'Lowercase'){ ?> lowercase 
                                                        <?php } elseif(get_theme_mod('curtains_recentproduct_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> ">

                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                    </h3>
                                                </div>
                                            </div>
                                        </div><!-- /span3 -->
                                        <?php
                                    endwhile; 
                                }else{ ?>
                                    <div class="alert alert-warning text-center heading-font">
                                        <strong>Sorry, Recent Products To Show.</strong>
                                    </div>
                                    <?php
                                }
                                ?>
                                <?php
                                wp_reset_query(); 
                            }else{ ?>
                                <div class="alert alert-warning text-center heading-font">
                                    Kindly Install or Activate the WooCommerce plugin.
                                </div>
                                <?php
                            }?>
                        </div>
                    </section>

                </div>
                <div class="clearfix"></div>
            </div>
        </main><!-- #primary -->	
    </div>
    <div class="clearfix"></div>
    <script type="text/javascript">
        $(document).ready(function(){
            $("#show-review-form").click(function(){
                $("#review_form_wrapper").toggle();
            });
        });
     </script>
    <?php get_footer(); ?>
